
Redmine - Defect #19956

Connection leak on svn/redmine integration

2015-05-27 13:21 - Bruno Orcha García

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version: 2.6.6   

Resolution: Fixed Affected version:  

Description

In our systems we have detected a large number of open connections from the Apache web server of our redmine, which reached

the limit of allowed connections from our postgresql, forcing us to restart the Apache server periodically.

After some monitoring we have discovered the reason, it appears to be a connection leak in the perl module for the integration

between redmine and subversion. The database connection is being opened so soon and it's possible returning from the function

without closing that connection.

Associated revisions

Revision 14281 - 2015-05-30 10:18 - Jean-Philippe Lang

Connection leak in Redmine.pm (#19956).

Patch by Bruno Orcha García.

Revision 14282 - 2015-05-30 10:19 - Jean-Philippe Lang

Merged r14281 (#19956).

Revision 14283 - 2015-05-30 10:19 - Jean-Philippe Lang

Merged r14281 (#19956).

History

#1 - 2015-05-27 16:28 - Toshi MARUYAMA

- Category set to SCM extra

- Target version set to 2.6.6

#2 - 2015-05-30 10:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

Files

extra-svn-Redmine-pm.patch 761 Bytes 2015-05-27 Bruno Orcha García
